Bug 150946 - Anaconda/kickstart doesn't honour --bootloader=none flag.
Summary: Anaconda/kickstart doesn't honour --bootloader=none flag.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-12 12:51 UTC by Brian Schau
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 15:17:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Schau 2005-03-12 12:51:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050223 Firefox/1.0.1

Description of problem:
Background.  I have created a kickstart script which I will use to
setup a lot of servers.   The servers runs software raid (level 1)
and LVM so I cannot use the default anaconda way of installing a
boot loader.

So I roll my own setup in the %post section of the kickstart script.
The setup have been tested and found to work.    I then supply the

   bootloader --location=none

switch in my kickstart script so that no bootloader is installed.
(see
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/sysadmin-guide/s1-kickstart2-options.html)

Yet, when I execute the kickstart installation, after the post phase,
I see a dialog stating, that the boot loader is installed.

When I reboot the server I end up in the grub shell.  If I manually
boot the server and check the anaconda-ks.cfg file I see:

   bootloader --location=partition

... which isn't what I asked for.

Note. This is on RHEL4 Beta 2 (I'm still waiting for my copy of RHEL4
final :-)

Version-Release number of selected component (if applicable):
Anacondo in RHEL4Beta2

How reproducible:
Always

Steps to Reproduce:
1. add --bootloader=none to your kickstart script
2. install machine - watch the "Installing bootloader" dialog show


Additional info:

Comment 1 Chris Lumens 2005-03-14 15:22:19 UTC
Should be fixed in U1.  See bug 146448 for reference.

Comment 2 Chris Lumens 2005-09-23 15:17:58 UTC
ERRATA resolution was accidentally given to the Fedora Core bug for this same
problem.  Marking this one as closed as well.


Note You need to log in before you can comment on or make changes to this bug.